%define major		2
%define libname		%mklibname openimagedenoise %{major}
%define libname_core	%mklibname openimagedenoise-core %{major}
%define develname	%mklibname openimagedenoise -d

Name:		oidn
Version:	2.3.3
Release:	%mkrel 2
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries
License:	ASL 2.0
URL:		https://openimagedenoise.github.io/
Source0:	https://github.com/OpenImageDenoise/%{name}/releases/download/v%{version}/%{name}-%{version}.src.tar.gz
Patch0:		oidn-2.3.3-fix-openimagedenoisecore-soversion.patch

# Library only available of x86_64 arch
ExclusiveArch:	x86_64

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	ispc
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(tbb)

%description
An open source library of high-performance, high-quality denoising filters for
images rendered with ray tracing.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries

%description -n	%{libname}
An open source library of high-performance, high-quality denoising filters for
images rendered with ray tracing.

#------------------------------------------------

%package -n	%{libname_core}
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries

Conflicts:	%{_lib}openimagedenoise2 < 2.1.0-2

%description -n	%{libname_core}
An open source library of high-performance, high-quality denoising filters for
images rendered with ray tracing.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_core} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openimagedenoise-devel = %{version}-%{release}

%description -n	%{develname}
This package contains libraries and header files for developing applications
that use %{name}.

#------------------------------------------------

%package	docs
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description	docs
This package contains documentation for %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

# Remove duplicated documentation
rm -rf %{buildroot}%{_docdir}/OpenImageDenoise

%files
%license LICENSE.txt
%doc CHANGELOG.md
%{_bindir}/oidnDenoise
%{_bindir}/oidnTest
%{_bindir}/oidnBenchmark

%files -n %{libname}
%{_libdir}/libOpenImageDenoise.so.%{major}
%{_libdir}/libOpenImageDenoise.so.%{version}
# TODO split in their own lib sub-pkgs??
%{_libdir}/libOpenImageDenoise_device_cpu.so.%{version}

%files -n %{libname_core}
%{_libdir}/libOpenImageDenoise_core.so.%{major}
%{_libdir}/libOpenImageDenoise_core.so.%{version}

%files -n %{develname}
%{_includedir}/OpenImageDenoise/
%{_libdir}/libOpenImageDenoise.so
%{_libdir}/libOpenImageDenoise_core.so
%{_libdir}/cmake/OpenImageDenoise-%{version}/

%files docs
%doc README.md readme.pdf


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 2.3.3-2.mga10
+ Revision: 2250911
- Mageia 10 Mass Rebuild

* Mon Apr 07 2025 daviddavid <daviddavid> 2.3.3-1.mga10
+ Revision: 2174059
- new version: 2.3.3

* Fri Jan 17 2025 daviddavid <daviddavid> 2.3.2-1.mga10
+ Revision: 2139482
- new version: 2.3.2

* Fri Nov 15 2024 daviddavid <daviddavid> 2.3.1-1.mga10
+ Revision: 2116027
- new version: 2.3.1

* Sat Jun 22 2024 daviddavid <daviddavid> 2.3.0-1.mga10
+ Revision: 2076118
- new version: 2.3.0

* Thu Mar 21 2024 daviddavid <daviddavid> 2.2.2-1.mga10
+ Revision: 2051070
- new version: 2.2.2

* Mon Mar 04 2024 daviddavid <daviddavid> 2.2.1-1.mga10
+ Revision: 2047507
- new version: 2.2.1

* Tue Feb 20 2024 daviddavid <daviddavid> 2.2.0-1.mga10
+ Revision: 2042605
- new version: 2.2.0

* Sun Jan 28 2024 daviddavid <daviddavid> 2.1.0-3.mga10
+ Revision: 2035684
- rebuild for tbb 2021.11.0

* Mon Dec 18 2023 daviddavid <daviddavid> 2.1.0-2.mga10
+ Revision: 2018699
- split out in its own sub-pkg libopenimagedenoise-core library and add soversion

* Tue Dec 05 2023 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2013254
- new version: 2.1.0

* Fri Nov 11 2022 ghibo <ghibo> 1.4.3-2.mga9
+ Revision: 1905524
- Fix build crash rebuilding against newer ispc

* Sun Sep 11 2022 neoclust <neoclust> 1.4.3-1.mga9
+ Revision: 1887193
- New version 	1.4.3

* Mon Mar 28 2022 umeabot <umeabot> 1.4.2-3.mga9
+ Revision: 1830554
- Mageia 9 Mass Rebuild

* Sat Dec 25 2021 wally <wally> 1.4.2-2.mga9
+ Revision: 1763630
- disable aarch64 build for now

* Sat Dec 25 2021 wally <wally> 1.4.2-1.mga9
+ Revision: 1763624
- new version 1.4.2
- enable aarch64 build
- justify descriptions

* Wed May 19 2021 daviddavid <daviddavid> 1.4.0-1.mga9
+ Revision: 1725556
- new version: 1.4.0

* Fri Feb 26 2021 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1691848
- new version: 1.3.0
- now libmajor is 1

* Wed Oct 21 2020 daviddavid <daviddavid> 1.2.4-1.mga8
+ Revision: 1637553
- new version: 1.2.4

* Mon Sep 14 2020 daviddavid <daviddavid> 1.2.3-1.mga8
+ Revision: 1626491
- new version: 1.2.3

* Tue Jul 14 2020 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1605916
- new version: 1.2.2

* Sun Jun 21 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1598262
- new version: 1.2.1

* Sat Jun 06 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1590747
- new version: 1.2.0

* Tue Feb 18 2020 daviddavid <daviddavid> 1.1.0-2.mga8
+ Revision: 1538783
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Nov 24 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1462618
- initial package oidn

